/*   **********************************************************************  **
 **   Copyright notice                                                       **
 **                                                                          **
 **   (c) 2005-2009 RSSOwl Development Team                                  **
 **   http://www.rssowl.org/                                                 **
 **                                                                          **
 **   All rights reserved                                                    **
 **                                                                          **
 **   This program and the accompanying materials are made available under   **
 **   the terms of the Eclipse Public License v1.0 which accompanies this    **
 **   distribution, and is available at:                                     **
 **   http://www.rssowl.org/legal/epl-v10.html                               **
 **                                                                          **
 **   A copy is found in the file epl-v10.html and important notices to the  **
 **   license from the team is found in the textfile LICENSE.txt distributed **
 **   in this package.                                                       **
 **                                                                          **
 **   This copyright notice MUST APPEAR in all copies of the file!           **
 **                                                                          **
 **   Contributors:                                                          **
 **     RSSOwl Development Team - initial API and implementation             **
 **                                                                          **
 **  **********************************************************************  */

package org.rssowl.core.persist.service;

/**
 * The <code>IndexListener</code> is listening on events that make the Index
 * of the <code>IModelSearch</code> implementation update.
 *
 * @author bpasero
 */
public interface IndexListener {

  /**
   * Notifies that the Index of the <code>IModelSearch</code> implementation
   * has been updated (e.g. new entities indexed or existing entities updated).
   *
   * @param entitiesCount The number of entities that have been updated in the
   * index.
   */
  void indexUpdated(int entitiesCount);
}