/*   **********************************************************************  **
 **   Copyright notice                                                       **
 **                                                                          **
 **   (c) 2005-2009 RSSOwl Development Team                                  **
 **   http://www.rssowl.org/                                                 **
 **                                                                          **
 **   All rights reserved                                                    **
 **                                                                          **
 **   This program and the accompanying materials are made available under   **
 **   the terms of the Eclipse Public License v1.0 which accompanies this    **
 **   distribution, and is available at:                                     **
 **   http://www.rssowl.org/legal/epl-v10.html                               **
 **                                                                          **
 **   A copy is found in the file epl-v10.html and important notices to the  **
 **   license from the team is found in the textfile LICENSE.txt distributed **
 **   in this package.                                                       **
 **                                                                          **
 **   This copyright notice MUST APPEAR in all copies of the file!           **
 **                                                                          **
 **   Contributors:                                                          **
 **     RSSOwl Development Team - initial API and implementation             **
 **                                                                          **
 **  **********************************************************************  */

package org.rssowl.ui.internal.dialogs.preferences;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
  private static final String BUNDLE_NAME = "org.rssowl.ui.internal.dialogs.preferences.messages"; //$NON-NLS-1$
  public static String BrowserPreferencePage_BLOCK_POPUPS;
  public static String BrowserPreferencePage_BROWSE;
  public static String BrowserPreferencePage_BROWSER_PARAMETER_SUPPORT;
  public static String BrowserPreferencePage_BROWSER_SELECTION;
  public static String BrowserPreferencePage_CONTENT;
  public static String BrowserPreferencePage_DISABLE_JS;
  public static String BrowserPreferencePage_EXCEPTIONS;
  public static String BrowserPreferencePage_INTERNET_OPTIONS;
  public static String BrowserPreferencePage_OPEN_IN_BACKGROUND;
  public static String BrowserPreferencePage_OPEN_IN_SAME_TAB;
  public static String BrowserPreferencePage_OPEN_LINKS_IN_TABS;
  public static String BrowserPreferencePage_REOPEN_WEBSITE;
  public static String BrowserPreferencePage_TABBED_BROWSING;
  public static String BrowserPreferencePage_USE_EMBEDDED_BROWSER;
  public static String BrowserPreferencePage_USE_EXTERNAL_BROWSER;
  public static String BrowserPreferencePage_USE_STANDARD_BROWSER;
  public static String BrowserPreferencePage_USE_STANDARD_BROWSER_N;
  public static String CredentialsPreferencesPage_ADD;
  public static String CredentialsPreferencesPage_CHANGE_MASTER_PW;
  public static String CredentialsPreferencesPage_CONFIRM_REMOVE;
  public static String CredentialsPreferencesPage_CONFIRM_RESET;
  public static String CredentialsPreferencesPage_MASTER_PW_INFO;
  public static String CredentialsPreferencesPage_MASTER_PW_MSG;
  public static String CredentialsPreferencesPage_NO_UNDO;
  public static String CredentialsPreferencesPage_REALM;
  public static String CredentialsPreferencesPage_REMOVE;
  public static String CredentialsPreferencesPage_REMOVE_ALL;
  public static String CredentialsPreferencesPage_REMOVE_ALL_CONFIRM;
  public static String CredentialsPreferencesPage_RESET;
  public static String CredentialsPreferencesPage_RESET_PASSWORDS;
  public static String CredentialsPreferencesPage_RESET_TITLE;
  public static String CredentialsPreferencesPage_SAVED_PWS;
  public static String CredentialsPreferencesPage_SITE;
  public static String CredentialsPreferencesPage_USE_MASTER_PW;
  public static String CredentialsPreferencesPage_USERNAME;
  public static String CredentialsPreferencesPage_WRONG_MASTER_PW;
  public static String FeedsPreferencePage_CLEAN_UP;
  public static String FeedsPreferencePage_CLEAN_UP_INFO;
  public static String FeedsPreferencePage_CLEAN_UP_NOTE;
  public static String FeedsPreferencePage_COLUMNS;
  public static String FeedsPreferencePage_DAYS;
  public static String FeedsPreferencePage_DELETE_READ;
  public static String FeedsPreferencePage_DISPLAY;
  public static String FeedsPreferencePage_DISPLAY_NEWS_CONTENT;
  public static String FeedsPreferencePage_DISPLAY_ON_STARTUP;
  public static String FeedsPreferencePage_FILTER_NEWS;
  public static String FeedsPreferencePage_GENERAL;
  public static String FeedsPreferencePage_GROUP_NEWS;
  public static String FeedsPreferencePage_HOURS;
  public static String FeedsPreferencePage_INTERVAL_SECONDS;
  public static String FeedsPreferencePage_LAYOUT;
  public static String FeedsPreferencePage_LOAD_IMAGES;
  public static String FeedsPreferencePage_LOAD_MEDIA;
  public static String FeedsPreferencePage_MARK_READ_AFTER;
  public static String FeedsPreferencePage_MARK_READ_ON_CLOSE;
  public static String FeedsPreferencePage_MARK_READ_ON_MINIMIZE;
  public static String FeedsPreferencePage_MARK_READ_ON_SCROLLING;
  public static String FeedsPreferencePage_MARK_READ_ON_SWITCH;
  public static String FeedsPreferencePage_MAX_AGE;
  public static String FeedsPreferencePage_MAX_NUMBER;
  public static String FeedsPreferencePage_MINUTES;
  public static String FeedsPreferencePage_NEVER_DELETE_LABELED;
  public static String FeedsPreferencePage_NEVER_DELETE_UNREAD;
  public static String FeedsPreferencePage_ONLY_WHEN_EMPTY;
  public static String FeedsPreferencePage_OPEN_NEWS_LINK;
  public static String FeedsPreferencePage_PERFORMNG_CLEANUP;
  public static String FeedsPreferencePage_PROPERTY_INFO;
  public static String FeedsPreferencePage_READING;
  public static String FeedsPreferencePage_SECONDS;
  public static String FeedsPreferencePage_UPDATE_DUPLICATE_LABEL;
  public static String FeedsPreferencePage_UPDATE_DUPLICATES;
  public static String FeedsPreferencePage_UPDATE_DUPLICATES_DESCRIPTION;
  public static String FeedsPreferencePage_UPDATE_FEEDS;
  public static String FeedsPreferencePage_UPDATE_ON_STARTUP;
  public static String FeedsPreferencePage_USE_TRANSFORMER;
  public static String ManageLabelsPreferencePage_CONFIRM_DELETE;
  public static String ManageLabelsPreferencePage_DELETE;
  public static String ManageLabelsPreferencePage_DELETE_LABEL_N;
  public static String ManageLabelsPreferencePage_DELETE_N_LABELS;
  public static String ManageLabelsPreferencePage_EDIT;
  public static String ManageLabelsPreferencePage_LABEL_INFO;
  public static String ManageLabelsPreferencePage_LABEL_TIP;
  public static String ManageLabelsPreferencePage_MOVE_DOWN;
  public static String ManageLabelsPreferencePage_MOVE_UP;
  public static String ManageLabelsPreferencePage_NEW;
  public static String ManageLabelsPreferencePage_NO_UNDO;
  public static String ManageLabelsPreferencePage_UPDATE_NEWS_REMOVE_LABELS;
  public static String ManageLabelsPreferencePage_WAIT_DELETE;
  public static String ManageLabelsPreferencePage_WAIT_UPDATE;
  public static String MiscPreferencePage_DOUBLE_CLICK_RESTORE;
  public static String MiscPreferencePage_MISC;
  public static String MiscPreferencePage_MOVE_TO_TRAY;
  public static String MiscPreferencePage_MULTIPLE_TABS;
  public static String MiscPreferencePage_ON_CLOSE;
  public static String MiscPreferencePage_ON_MINIMIZE;
  public static String MiscPreferencePage_ON_START;
  public static String MiscPreferencePage_REOPEN_LAST_OPENED;
  public static String MiscPreferencePage_RESTORE_FROM_TRAY;
  public static String MiscPreferencePage_SAME_TAB;
  public static String MiscPreferencePage_SINGLE_CLICK;
  public static String MiscPreferencePage_SINGLE_CLICK_RESTORE;
  public static String MiscPreferencePage_SYSTEM_TRAY;
  public static String MiscPreferencePage_TAB_LIMIT;
  public static String MiscPreferencePage_TABBED_BROWSING;
  public static String MiscPreferencePage_TABS;
  public static String MiscPreferencePage_UPDATE_ON_STARTUP;
  public static String NotifierPreferencesPage_ANIMATE_NOTIFIER;
  public static String NotifierPreferencesPage_CLOSE_AUTOMATICALLY;
  public static String NotifierPreferencesPage_CLOSE_NOTIFIER_ON_OPEN;
  public static String NotifierPreferencesPage_DESELECT_ALL;
  public static String NotifierPreferencesPage_GENERAL;
  public static String NotifierPreferencesPage_NOTIFICATION_FOR_INCOMING_NEWS;
  public static String NotifierPreferencesPage_NOTIFIER_TIP;
  public static String NotifierPreferencesPage_SECONDS;
  public static String NotifierPreferencesPage_SELECT_ALL;
  public static String NotifierPreferencesPage_SHOW_EXCERPT;
  public static String NotifierPreferencesPage_SHOW_FOR_SELECTED;
  public static String NotifierPreferencesPage_SHOW_MAX_NEWS_END;
  public static String NotifierPreferencesPage_SHOW_MAX_NEWS_START;
  public static String NotifierPreferencesPage_SHOW_NOTIFIER;
  public static String NotifierPreferencesPage_SHOW_WHEN_MINIMIZED;
  public static String OverviewPreferencesPage_BROWSER_OPTIONS;
  public static String OverviewPreferencesPage_COLOR_FONT_OPTIONS;
  public static String OverviewPreferencesPage_CONNECTION_OPTIONS;
  public static String OverviewPreferencesPage_FEED_OPTIONS;
  public static String OverviewPreferencesPage_KEYS_OPTIONS;
  public static String OverviewPreferencesPage_LABEL_OPTIONS;
  public static String OverviewPreferencesPage_NOTIFIER_OPTIONS;
  public static String OverviewPreferencesPage_OVERVIEW_INFO;
  public static String OverviewPreferencesPage_OVERVIEW_TIP;
  public static String OverviewPreferencesPage_PASSWORD_OPTIONS;
  public static String OverviewPreferencesPage_SHARE_OPTIONS;
  public static String OverviewPreferencesPage_VIEW_OPTIONS;
  public static String SharingPreferencesPage_AVAILABLE_COMMUNITIES;
  public static String SharingPreferencesPage_COMMUNITY_INFO;
  public static String SharingPreferencesPage_DESELECT_ALL;
  public static String SharingPreferencesPage_MOVE_DOWN;
  public static String SharingPreferencesPage_MOVE_UP;
  public static String SharingPreferencesPage_SELECT_ALL;
  public static String SharingPreferencesPage_SELECT_COMMUNITY;

  private Messages() {}

  static {
    // initialize resource bundle
    NLS.initializeMessages(BUNDLE_NAME, Messages.class);
  }
}
